#ifndef LOGINWINDOWFORM_H
#define LOGINWINDOWFORM_H

#include <QMainWindow>
#include <QScreen>

#include "dao/service/SysUserService.h"
#include "utils/utilsInclude.h"
#include "utils/ProMemory.h"
#include "MainWindowForm.h"
#include "CustomMessageBox.h"

namespace Ui {
class LoginWindowForm;
}

class LoginWindowForm : public QMainWindow
{
    Q_OBJECT

public:
    explicit LoginWindowForm(QWidget *parent = nullptr);
    ~LoginWindowForm();

protected:
    void mouseMoveEvent(QMouseEvent *event);
    void mousePressEvent(QMouseEvent *event);
    void mouseReleaseEvent(QMouseEvent *event);

private slots:
    void on_btnLogin_clicked();
    void on_btnMinWin_clicked();
    void on_btnCloseWin_clicked();

    void onLoginSuccessHandler();
    void onLogoutHandler();

private:
    Ui::LoginWindowForm *ui;
    QPoint last;

    void initForm();

signals:
    void loginSuccess();
};

#endif // LOGINWINDOWFORM_H
